起動しない!Skyrim SE(AE) 1.6.640 にアップデートしてやったこと

Skyrim SE
スポンサーリンク

Horizon Zero Dawn にうつつを抜かしてしばらくやっていなかった Skyrim SE を久しぶりに起動してみたところ、「あら?」エラーで起動しません。

エラーで起動しない:You are using a newer of Skyrim than this version of SKSE64 supports.

やってしまった…。Skyrim のアップデートをしてしまったようです。

最新の 1.6.640 になってしまいました。

前のバージョンの “SkyrimSE.exe” のバックアップも取っていなかったので、1.6.640 で起動できるようにしてみました。

アップデート後にやったことをメモしておきます。

ぱんはげ
ぱんはげ

tktkさんのサイトには旧バージョンの SkyrimSE.exe のダウンロード方法が載っていたのでこちらも試してみました。

MODをたくさん入れている方は、現時点では1.6.640 にアップデートするよりも、前のバージョンの SkyrimSE.exe に戻す方法が簡単でお勧めです。

スポンサーリンク

SKSE64 のアップデート

SKSE64 のサイトを見ると、既に1.6.640 に対応した Current Anniversary Edition build 2.2.2 がリリースされていました。

Skyrim Script Extender (SKSE)

SKSE64をアップデートします。ダウンロードした”skse64_2_02_02.7z” を解凍し、以下の Skyrim のフォルダに上書きします。

(Steamルートフォルダ)\steamapps\common\Skyrim Special Edition

しかし、それだけでは済みませんでした。またエラーが出ました。

SKSE64 をアップデートしてもエラー:EngineFixes.dll

Address Library for SKSE Plugins のアップデート

EngineFixes.dll で出しているエラーですが、メッセージには「address library の mod ページから適切なバージョンをダウンロードしてください」とあります。

とりあえず NEXUS MODS で “address” で検索してみます。

EngineFixes.dll を NEXUS MODS で探す

見覚えがある Address Library for SKSE Plugins がヒットしました。最近導入したMODです。

ダウンロードサイトを確認すると最近アップデートされていました。

Address Library for SKSE Plugins は1.6.640以降用にアップデートされていた

適用してみました。

えー。まだ何か出てきました。

SKSE Plugin Loader:1.6.629以前のバージョン向けのdll

AddItemMenuSE.dll、cbp.dll、DynamicAnimationReplacer.dll、EngineFixes.dll、hdtSMP64.dll、PapyrusUtil.dll、po3_PapyrusExtender.dll、po3_Tweaks.dll、SAS AE.dll、これらは1.6.629以前のdllのようです。

skee64.dllもゲームのバージョンと合っていないようです。

その他アップデートしたMOD

どのMODをアップデートしなければならないのかが分からないので、dllのファイル名をヒントにNEXUS MODS で検索し、見覚えのあるMODを探し出しました。

dll名をヒントにMODを検索

私が使っているMODで、最近1.6.640向けにアップデートされていたのは以下がありました。

AddItemMenu - NG
AddItemMenu is a tool that allows you search for and add to your inventory items belonging to a particular mod.
CBPC - Physics with Collisions for SSE and VR
CBPC - Physics with Collisions for SSE and VR. Breast-Butt-Belly-Vagina collisions that work out of the box. Player VR Hands and Weapons collisions with them fo...
FSMP - Faster HDT-SMP
Faster physics for capes, clothes, hair, etc!
PapyrusUtil SE - Modders Scripting Utility Functions
An SKSE plugin adding several new scripts with native functions that provide various conveniences related to data storage and other misc functions to the script...

これらのMODを更新しました。

更新できなかったMOD

以下のMODは現時点ではまだ アップデートされていないようです。1.6.640向けのバージョンがリリースされるまでは更新待ちですね。

Dynamic Animation Replacer
This mod dynamically replaces the actors' animations depending on various conditions. Supports most actors, including creatures. Actors and animations added by ...
powerofthree's Papyrus Extender
SKSE64 plugin that extends Papyrus script functionality, with over 275 new Papyrus functions, and 29 events.
powerofthree's Tweaks
Collection of engine bug fixes and tweaks. SKSE plugin.
SSE Engine Fixes (skse64 plugin)
skse64 plugin to fix various issues with the Skyrim Special Edition engine.
SkyUI AIO Survival (SAS)
Adds extra features to SkyUI menus such as armor slots, total weight, survival mods support, greater power cooldown timer, and more.

skee64.dll についてはどのMODを更新すれば良いのか特定できませんでした。

ゲームを起動

ゲームを起動します。全てのMODを1.6.640用に更新できていないため、まだ以下のメッセージが出ます。

SKSE Plugin Loader:ゲーム終了を推奨される
ロードを続けると、セーブデータが失われたり、その他の望ましくない動作が発生する可能性があります。ゲームを終了しますか?(はい、を強く推奨)

ゲーム終了を推奨されますが、「いいえ」を選べが起動できました。

あらら。実績機能が無効になっています。 SSE Engine Fixes (skse64 plugin) が1.6.640に対応していないのでその影響が出たようです。

SSE Engine Fixes (skse64 plugin)が1.6.640に対応しておらず実績機能が無効

「はい」を選択し、ゲームを続行しました。

一見問題なく遊べるようになりました。しかし、衣装MODを取得しようと “AddItemMenuSE – Search“の魔法を使うといきなり落ちました(CTD)。

全てのMODが 1.6.640 に対応していないので仕方がないですね。でも普通に遊ぶ分には問題なさそうです。

まとめ

Skyrim SE(AE) 1.6.640 にはまだ対応していないMODが多いので、たくさんMODを入れている方はもう少し待った方が良さそうです。

とはいえ、SKSE64 は既に1.6.640 に対応していますし、Address Library for SKSE Plugins を更新すれば、起動するようにはなります。

未対応のMODの機能を使うとCTDを起こすこともありますが、普通に遊ぶことはできそうです。

最近、横着してバックアップを取っていませんでした。更新対策はやっておいた方がいいですね。

コメント

タイトルとURLをコピーしました